romCheck Class Reference

`#include <romCheck.h>`

Inheritance diagram for romCheck:

## Public Member Functions

const char * | info () const

## Protected Member Functions

| romCheck (const uint8_t *rom, int size)
void | add (const char *md5, const char *desc)

## Detailed Description

Utility class to identify known ROM images through their md5 checksum.

## Constructor & Destructor Documentation

romCheck::romCheck | ( | const uint8_t * | rom,
|  | int | size
| ) |  |

inline protected

Construct the class.

Parameters

  rom | pointer to the ROM buffer
  size | size of the ROM buffer

## Member Function Documentation

const char* romCheck::info | ( |  | ) | const

inline

Get ROM description.

Returns
  the ROM description or "Unknown Rom".

The documentation for this class was generated from the following file:

- romCheck.h